X
Tap here to go to the mobile version of the site.

Support Forum

I have downloaded the latest version for linux but cannot install it, any ideas?

Posted

I have downloaded the latest version for linux but cannot install it, can you help?

I have downloaded the latest version for linux but cannot install it, can you help?

Additional System Details

Installed Plug-ins

  • -Shockwave Flash 9.0 r115
  • mplayerplug-in 3.45Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer JavaScript Enabled and Using GTK2 Widgets
  • The Adobe Reader plugin is used to enable viewing of PDF and FDF files from within the browser.
  • Java(TM) Plug-in 1.5.0_10

Application

  • User Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

More Information

Talkback 2.0.0.11
Novell Moonlight 2.3
Dom Inspector 1.8.1.14

the-edmeister
  • Top 25 Contributor
  • Moderator
5420 solutions 40433 answers

Does your version of Linux support Firefox 3.0+ versions? http://www.mozilla.com/en-US/firefox/system-requirements.html

Most Linux distros that came with Firefox 2 don't have the correct packages for 3.0+ versions, usually at least the GTK package needs to be updated.

Here's the Linux installation intructions. https://support.mozilla.com/en-US/kb/Installing+Firefox+on+Linux

https://help.ubuntu.com/community/FirefoxNewVersion/MozillaBuilds

Does your version of Linux support Firefox 3.0+ versions? http://www.mozilla.com/en-US/firefox/system-requirements.html Most Linux distros that came with Firefox 2 don't have the correct packages for 3.0+ versions, usually at least the GTK package needs to be updated. Here's the Linux installation intructions. https://support.mozilla.com/en-US/kb/Installing+Firefox+on+Linux https://help.ubuntu.com/community/FirefoxNewVersion/MozillaBuilds